scala.tools.cmd

# PropertyMapper

#### class PropertyMapper extends ((String, String)) ⇒ List[String]

Contains logic for translating a property key/value pair into equivalent command line arguments. The default settings will translate, given programInfo.runner == "foo" :

foo.bar=true to --bar // if --bar is unary foo.bar=quux to --bar quux // if --bar is binary

Source
  Property.scala

Linear Supertypes
((String, String)) ⇒ List[String], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. PropertyMapper
2. Function1
3. AnyRef
4. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new PropertyMapper(reference: Reference)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from PropertyMapper to any2stringadd[PropertyMapper] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (PropertyMapper, B)

   Implicit information
     This member is added by an implicit conversion from PropertyMapper to ArrowAssoc[PropertyMapper] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### lazy val RunnerName: String

7. #### def andThen[A](g: (List[String]) ⇒ A): ((String, String)) ⇒ A

   Definition Classes
     Function1
   Annotations
     @unspecialized()

8. #### def apply(kv: (String, String)): List[String]

   Definition Classes
     PropertyMapper → Function1

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def compose[A](g: (A) ⇒ (String, String)): (A) ⇒ List[String]

    Definition Classes
      Function1
    Annotations
      @unspecialized()

12. #### def ensuring(cond: (PropertyMapper) ⇒ Boolean, msg: ⇒ Any): PropertyMapper

    Implicit information
      This member is added by an implicit conversion from PropertyMapper to Ensuring[PropertyMapper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: (PropertyMapper) ⇒ Boolean): PropertyMapper

    Implicit information
      This member is added by an implicit conversion from PropertyMapper to Ensuring[PropertyMapper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean, msg: ⇒ Any): PropertyMapper

    Implicit information
      This member is added by an implicit conversion from PropertyMapper to Ensuring[PropertyMapper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean): PropertyMapper

    Implicit information
      This member is added by an implicit conversion from PropertyMapper to Ensuring[PropertyMapper] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from PropertyMapper to StringFormat[PropertyMapper] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### def isPassThrough(key: String): Boolean

24. #### def isTrue(value: String): Boolean

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def onError(key: String, value: String): Unit

29. #### def propNameToOptionName(key: String): Option[String]

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from PropertyMapper to CollectionsHaveToParArray[PropertyMapper, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (PropertyMapper) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

32. #### def toString(): String

    Definition Classes
      Function1 → AnyRef → Any

33. #### def translate(key: String, value: String): List[String]

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def →[B](y: B): (PropertyMapper, B)

    Implicit information
      This member is added by an implicit conversion from PropertyMapper to ArrowAssoc[PropertyMapper] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from ((String, String)) ⇒ List[String]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from PropertyMapper to CollectionsHaveToParArray[PropertyMapper, T]

### Inherited by implicit conversion any2stringadd from PropertyMapper to any2stringadd[PropertyMapper]

### Inherited by implicit conversion StringFormat from PropertyMapper to StringFormat[PropertyMapper]

### Inherited by implicit conversion Ensuring from PropertyMapper to Ensuring[PropertyMapper]

### Inherited by implicit conversion ArrowAssoc from PropertyMapper to ArrowAssoc[PropertyMapper]

### Ungrouped